## shibboleth-identity-provider 3.4.3-debian3

=== debian/changelog ===
shibboleth-identity-provider (3.4.3-debian3) stretch; urgency=medium

  * add sso to mfa authn, in case password is done already 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 23 Jan 2019 14:16:51 +0100

shibboleth-identity-provider (3.4.3-debian2) stretch; urgency=medium

  * corrected huotp patch for multifactor authentication 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Fri, 18 Jan 2019 12:31:52 +0100

shibboleth-identity-provider (3.4.3-debian1) stretch; urgency=medium

  * updated package to 3.4.3 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Mon, 14 Jan 2019 12:42:13 +0100

shibboleth-identity-provider (3.4.1-debian5) stretch; urgency=medium

  * updated package for HU OTP second factor authn 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Mon, 10 Dec 2018 15:47:29 +0100

shibboleth-identity-provider (3.4.1-debian4) stretch; urgency=medium

  * inserted HU OTP as second factor to HU authn 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Mon, 10 Dec 2018 07:58:58 +0100

shibboleth-identity-provider (3.4.1-debian3) stretch; urgency=medium

  * update data connector, remove deprecated 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 05 Dec 2018 11:23:16 +0100

shibboleth-identity-provider (3.4.1-debian2) stretch; urgency=medium

  * add patch for persistentId usage 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Tue, 04 Dec 2018 13:12:07 +0100

shibboleth-identity-provider (3.4.1-debian1) stretch; urgency=medium

  * package upgrade to idp version 3.4.1 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Mon, 03 Dec 2018 08:00:53 +0100

shibboleth-identity-provider (3.3.1-debian19) stretch; urgency=medium

  * fix HU-IAM connectors for authentication and attributes 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 23 Aug 2018 13:57:29 +0200

shibboleth-identity-provider (3.3.1-debian18) stretch; urgency=medium

  * correct HU-IAM connection config with or without SSL 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 23 Aug 2018 13:16:37 +0200

shibboleth-identity-provider (3.3.1-debian17) stretch; urgency=medium

  * add attribute filter for SAML1 Attribute Query also 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Fri, 08 Jun 2018 13:36:12 +0200

shibboleth-identity-provider (3.3.1-debian16) stretch; urgency=medium

  * reactivate SAML1 - do not remove until last sp updated to SAML2 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 07 Jun 2018 12:26:50 +0200

shibboleth-identity-provider (3.3.1-debian15) stretch; urgency=medium

  * add populateConsentAuditContext before logging it to query flow 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 30 May 2018 09:04:41 +0200

shibboleth-identity-provider (3.3.1-debian14) stretch; urgency=medium

  * add consentAuditLog into query-flow 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 30 May 2018 07:51:53 +0200

shibboleth-identity-provider (3.3.1-debian13) stretch; urgency=medium

  * update postgresql and jdbc driver to 9.6 and tomcat8 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 09 May 2018 14:19:05 +0200

shibboleth-identity-provider (3.3.1-debian12) wheezy; urgency=medium

  * add patch to filter attributeQuery with user consent 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 09 May 2018 08:53:31 +0200

shibboleth-identity-provider (3.3.1-debian11) stretch; urgency=medium

  * fix tomcat8 settings in catalina.properties 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Fri, 27 Apr 2018 09:33:01 +0200

shibboleth-identity-provider (3.3.1-debian10) wheezy; urgency=medium

  * fix to only use of tomcat8 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 18 Apr 2018 14:28:23 +0200

shibboleth-identity-provider (3.3.1-debian9) wheezy; urgency=medium

  * get targetedId from HU-IAM and store there as PersonServiceAttribute 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 05 Apr 2018 12:41:17 +0200

shibboleth-identity-provider (3.3.1-debian8) wheezy; urgency=medium

  * fixed race condition in generation eudPersonTargetedId 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Tue, 03 Apr 2018 14:01:07 +0200

shibboleth-identity-provider (3.3.1-debian7) wheezy; urgency=medium

  * remove error event in global logout, if session is invalid yet, just show logout page 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 08 Mar 2018 14:52:53 +0100

shibboleth-identity-provider (3.3.1-debian6) wheezy; urgency=medium

  * removed velocity toolbox - inserted sortTool class  

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 30 Mar 2017 15:03:38 +0200

shibboleth-identity-provider (3.3.1-debian5) wheezy; urgency=medium

  * added per attribute check, if not required with sorting by name 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Fri, 24 Mar 2017 15:26:33 +0100

shibboleth-identity-provider (3.3.1-debian4) wheezy; urgency=medium

  * fixed install problem with message properties 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 23 Mar 2017 12:17:59 +0100

shibboleth-identity-provider (3.3.1-debian3) wheezy; urgency=medium

  * all xml configs made in quilt, only properties remain 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 23 Mar 2017 11:48:05 +0100

shibboleth-identity-provider (3.3.1-debian2) wheezy; urgency=medium

  * added per attribute consent for attributes which are not required 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Tue, 21 Mar 2017 11:55:11 +0100

shibboleth-identity-provider (3.3.1-debian1) wheezy; urgency=medium

  * first build of version 3.3.1 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Thu, 16 Mar 2017 15:50:45 +0100

shibboleth-identity-provider (3.3.0-debian1) wheezy; urgency=medium

  * first build of version 3.3.0 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 15 Mar 2017 13:50:11 +0100

shibboleth-identity-provider (3.2.1-debian29) wheezy; urgency=medium

  * BUG Fix for unknown Birthdate in person data 

 -- Petra Berg <petra.berg@cms.hu-berlin.de>  Wed, 15 Feb 2017 09:07:43 +0100

shibboleth-identity-provider (3.2.1-debian28) wheezy; urgency=medium


