=== debian/control ===
Source: shibboleth-identity-provider
Section: contrib/web
Priority: extra
Maintainer: Petra Berg <petra.berg@cms.hu-berlin.de>
Uploaders: Michail Bachmann <m.bachmann@cms.hu-berlin.de>
Build-Depends: debhelper (>= 7), build-essential, ant, ant-contrib, unzip, quilt
Standards-Version: 3.8.3
Homepage: https://shibboleth.net/

Package: shibboleth-identity-provider
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), tomcat8-common, openjdk-8-jre-headless | java8-runtime-headless, netcat, libcommons-lang-java
Recommends: shibboleth-idp-apache-conf
Conflicts: 
Description: Federated web single sign-on system (identity provider)
 The Shibboleth System is a standards based, open source software package
 for web single sign-on across or within organizational boundaries. It
 allows sites to make informed authorization decisions for individual
 access of protected online resources in a privacy-preserving manner.
 .
 This package contains the Shibboleth Identity Provider.
