=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PKG_NAME=shibboleth-identity-provider
export PKG_VERSION=3.4.3

export EXT_WS_AUTHN_NAME=shib-ws-authentication
export EXT_WS_AUTHN_VERSION=3.4.3-cms.1

export EXT_WS_DATA_NAME=shib-ws-extension
export EXT_WS_DATA_VERSION=3.4.3-cms.1


export ZIP_FILENAME=$(PWD)/$(PKG_NAME)-$(PKG_VERSION).zip
export ZIP_FILENAME_EXT_WS_AUTHN=$(PWD)/$(EXT_WS_AUTHN_NAME)-$(EXT_WS_AUTHN_VERSION)-bin.zip
export ZIP_FILENAME_EXT_WS_DATA=$(PWD)/$(EXT_WS_DATA_NAME)-$(EXT_WS_DATA_VERSION)-bin.zip

export PGKG_BUILDDIR=$(PWD)/$(PKG_NAME)-$(PKG_VERSION)

%:
	dh --with quilt $@ 

clean:
	dh --with quilt clean -f
	find $(PWD) -mindepth 1 -maxdepth 1 \
	 -not \( -name '.svn' -or -path '$(PWD)/debian' -or -path $(ZIP_FILENAME) -or -path $(ZIP_FILENAME_EXT_WS_AUTHN) -or -path $(ZIP_FILENAME_EXT_WS_DATA) \)  \
     -print0 | xargs -0 --no-run-if-empty rm -rf

build:
	unzip -q $(ZIP_FILENAME)
	cp -rp $(PGKG_BUILDDIR)/* .
	rm -rf $(PGKG_BUILDDIR)
	cp debian/ant-lib/* $(PWD)/bin/lib/
	unzip -q $(ZIP_FILENAME_EXT_WS_AUTHN)
	mv -f $(PWD)/$(EXT_WS_AUTHN_NAME)-$(EXT_WS_AUTHN_VERSION)/lib/* $(PWD)/webapp/WEB-INF/lib/
	cp -r $(PWD)/$(EXT_WS_AUTHN_NAME)-$(EXT_WS_AUTHN_VERSION)/conf/* $(PWD)/conf/
	cp -r $(PWD)/$(EXT_WS_AUTHN_NAME)-$(EXT_WS_AUTHN_VERSION)/flows/* $(PWD)/flows/
	cp -r $(PWD)/$(EXT_WS_AUTHN_NAME)-$(EXT_WS_AUTHN_VERSION)/views/* $(PWD)/views/
	unzip -q $(ZIP_FILENAME_EXT_WS_DATA)
	mv -f $(PWD)/$(EXT_WS_DATA_NAME)-$(EXT_WS_DATA_VERSION)/lib/* $(PWD)/webapp/WEB-INF/lib/
	cp -rp debian/webapp/views/* $(PWD)/views/
	cp -rp debian/webapp/css/* $(PWD)/webapp/css/
	cp -rp debian/webapp/images/* $(PWD)/webapp/images/
	cp -rp debian/webapp/WEB-INF_lib/* $(PWD)/webapp/WEB-INF/lib/
	cp -rp debian/webapp/velocity-toolbox.xml $(PWD)/webapp/WEB-INF/
	cp -rp debian/patches/messages/* $(PWD)/messages/
	cp -rp debian/patches/huiam-authn-config.xml $(PWD)/conf/authn/
	cp -rp debian/patches/rotate-sealer.sh $(PWD)/bin/
	mkdir $(PWD)/webapp/WEB-INF/classes/META-INF
	cp -rp debian/patches/orm.xml $(PWD)/webapp/WEB-INF/classes/META-INF/
	dh --with quilt build

override_dh_install:
	# cleanup ant lib
	# for f in ant-1.7.0.jar ant-launcher-1.7.0.jar ant-nodeps-1.7.1.jar; do rm $(PWD)/src/installer/lib/$$f; done
	ant -debug -v -nouserlib -lib bin/lib -Dbasedir="$(PWD)" -Dpkg.name="$(PKG_NAME)" -f debian/ant-install.xml
	dh_install -X/.svn/ debian/tomcat-conf usr/share/$(PKG_NAME)/skel
	dh_install debian/tomcat-bin/* var/lib/$(PKG_NAME)/bin
	dh_install debian/$(PKG_NAME)-configure usr/sbin
