=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://shibboleth.net/downloads/identity-provider/latest/shibboleth-identity-provider-((\d+\.)+\d+).zip
